
Name:		xbmc-systemd
Version:	1.0
Release:	1%{?dist}
License:	GPLv2
Summary:	Systemd files to start XBMC during system bootup.
Group:		Applications/Multimedia
Url:		http://tuju.fi/
Source0:	htpc.target
Source1:	xbmc.service
Source2:	xbmc.sh

BuildArch:	noarch

Requires:	shadow-utils
Requires:	xorg-x11-xinit xorg-x11-xinit-session xorg-x11-server-Xorg xorg-x11-drivers dbus-x11 mesa-dri-drivers
Requires:   pulseaudio pulseaudio-module-lirc pulseaudio-utils lirc
Requires:	xbmc


%description
XMBC is a Home Theathre built on personal computer and 
provided files make it start right after system startup 
without any additional configuration. This allows easy
deployment of systems whose sole purpose is to run XBMC,
which is common case with HTPC systems.


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_unitdir}
mkdir -p %{buildroot}/%{_sysconfdir}/X11/xinit/xinitrc.d
cp %{SOURCE0} %{buildroot}/%{_unitdir}
cp %{SOURCE1} %{buildroot}/%{_unitdir}
cp %{SOURCE2} %{buildroot}/%{_sysconfdir}/X11/xinit/xinitrc.d



%clean
rm -rf %{buildroot}


%post
GROUPNAME=xbmc
USERNAME=xbmc
cd /etc/systemd/system/
ln -sf /lib/systemd/system/htpc.target default.target
getent group $GROUPNAME >/dev/null || groupadd --system -r $GROUPNAME > /dev/null
getent passwd $USERNAME >/dev/null || useradd --system --home /home/$USERNAME --create-home -g $GROUPNAME -c "XBMC role account" $USERNAME >/dev/null
gpasswd -a $USERNAME audio
exit 0


%preun
cd /etc/systemd/system/
ln -sf /lib/systemd/system/multi-user.target default.target
groupdel xbmc >/dev/null
userdel xbmc >/dev/null
exit 0



%files
%defattr(-,root,root)
%{_unitdir}/htpc.target
%{_unitdir}/xbmc.service
%{_sysconfdir}/X11/xinit/xinitrc.d/xbmc.sh


%changelog
* Sat Oct 18 2014 Juha Tuomala <tuju@iki.fi> 1.0-1
- Initial RPM creation.
